<?xml version="1.0" encoding="utf-8" ?>
<xsd:schema id="hpc-profile-activitycred"
                  targetNamespace="http://schemas.ogf.org/hpcp/2007/01/fs"
                  elementFormDefault="qualified"
                  xmlns="http://schemas.ogf.org/hpcp/2007/01/fs"
                  xmlns:fs="http://schemas.ogf.org/hpcp/2007/01/fs"
                  xmlns:wsse="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd"
                  xmlns:xsd="http://www.w3.org/2001/XMLSchema">

  <xsd:element name="Credential" type="fs:CredentialType"/>
  <xsd:complexType name="CredentialType">
    <xsd:sequence>
      <!--
      <xsd:element ref="wsse:UsernameToken" minOccurs="0" maxOccurs="1" />
      -->
      <xsd:any namespace="##other" processContents="lax" minOccurs="0" maxOccurs="unbounded" />
    </xsd:sequence>
    <xsd:anyAttribute namespace="##other" processContents="lax"/>
  </xsd:complexType>

</xsd:schema>